[arch-commits] Commit in python/repos (8 files)

Bartłomiej Piotrowski bpiotrowski at archlinux.org
Mon Nov 7 10:50:20 UTC 2016


    Date: Monday, November 7, 2016 @ 10:50:20
  Author: bpiotrowski
Revision: 280025

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  python/repos/staging-i686/PKGBUILD
    (from rev 280024, python/trunk/PKGBUILD)
  python/repos/staging-i686/dont-make-libpython-readonly.patch
    (from rev 280024, python/trunk/dont-make-libpython-readonly.patch)
  python/repos/staging-x86_64/PKGBUILD
    (from rev 280024, python/trunk/PKGBUILD)
  python/repos/staging-x86_64/dont-make-libpython-readonly.patch
    (from rev 280024, python/trunk/dont-make-libpython-readonly.patch)
Deleted:
  python/repos/staging-i686/PKGBUILD
  python/repos/staging-i686/dont-make-libpython-readonly.patch
  python/repos/staging-x86_64/PKGBUILD
  python/repos/staging-x86_64/dont-make-libpython-readonly.patch

---------------------------------------------------+
 /PKGBUILD                                         |  226 ++++++++++++++++++++
 /dont-make-libpython-readonly.patch               |   26 ++
 staging-i686/PKGBUILD                             |  113 ----------
 staging-i686/dont-make-libpython-readonly.patch   |   13 -
 staging-x86_64/PKGBUILD                           |  113 ----------
 staging-x86_64/dont-make-libpython-readonly.patch |   13 -
 6 files changed, 252 insertions(+), 252 deletions(-)

Deleted: staging-i686/PKGBUILD
===================================================================
--- staging-i686/PKGBUILD	2016-11-07 10:50:13 UTC (rev 280024)
+++ staging-i686/PKGBUILD	2016-11-07 10:50:20 UTC (rev 280025)
@@ -1,113 +0,0 @@
-# $Id$
-# Maintainer: Angel Velasquez <angvp at archlinux.org>
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Allan McRae <allan at archlinux.org>
-# Contributor: Jason Chu <jason at archlinux.org>
-
-pkgname=python
-pkgver=3.5.2
-pkgrel=2
-_pybasever=3.5
-pkgdesc="Next generation of the python high-level scripting language"
-arch=('i686' 'x86_64')
-license=('custom')
-url="http://www.python.org/"
-depends=('expat' 'bzip2' 'gdbm' 'openssl' 'libffi' 'zlib')
-makedepends=('tk' 'sqlite' 'valgrind' 'bluez-libs' 'mpdecimal')
-checkdepends=('gdb' 'xorg-server-xvfb')
-optdepends=('python-setuptools'
-            'python-pip'
-            'sqlite'
-            'mpdecimal: for decimal'
-            'xz: for lzma'
-            'tk: for tkinter')
-options=('!makeflags')
-provides=('python3')
-replaces=('python3')
-source=("https://www.python.org/ftp/python/${pkgver%rc*}/Python-${pkgver}.tar.xz"{,.asc}
-        dont-make-libpython-readonly.patch)
-sha1sums=('4843aabacec5bc0cdd3e1f778faa926e532794d2'
-          'SKIP'
-          'c22b24324b8e53326702de439c401d97927ee3f2')
-validpgpkeys=('97FC712E4C024BBEA48A61ED3A5CA953F73C700D')  # Larry Hastings <larry at hastings.org>
-
-prepare() {
-  cd Python-${pkgver}
-
-  # FS#45809
-  patch -p1 -i ../dont-make-libpython-readonly.patch
-
-  # FS#23997
-  sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python|" Lib/cgi.py
-
-  # Ensure that we are using the system copy of various libraries (expat, zlib, libffi, and libmpdec),
-  # rather than copies shipped in the tarball
-  rm -r Modules/expat
-  rm -r Modules/zlib
-  rm -r Modules/_ctypes/{darwin,libffi}*
-  rm -r Modules/_decimal/libmpdec
-}
-
-build() {
-  cd Python-${pkgver}
-
-  # Disable bundled pip & setuptools
-  ./configure --prefix=/usr \
-              --enable-shared \
-              --with-threads \
-              --with-computed-gotos \
-              --enable-ipv6 \
-              --with-system-expat \
-              --with-dbmliborder=gdbm:ndbm \
-              --with-system-ffi \
-              --with-system-libmpdec \
-              --enable-loadable-sqlite-extensions \
-              --without-ensurepip
-
-  make EXTRA_CFLAGS="$CFLAGS"
-}
-
-check() {
-  # Failures:
-  # test_distutils: because of our EXTRA_CFLAGS
-  # test_socket
-
-  # Hacks:
-  # test_tk: xvfb-run
-  # test_unicode_file: LC_CTYPE=en_US.utf-8
-  # test_gdb: SHELL=/bin/sh
-
-  cd Python-${pkgver}
-  SHELL=/bin/sh \
-  LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
-  LC_CTYPE=en_US.utf-8 xvfb-run \
-    "${srcdir}/Python-${pkgver}/python" -m test.regrtest -v -uall || warning "Expected failure"
-}
-
-package() {
-  cd Python-${pkgver}
-  make DESTDIR="${pkgdir}" EXTRA_CFLAGS="$CFLAGS" install maninstall
-
-  # Why are these not done by default...
-  ln -s python3               "${pkgdir}"/usr/bin/python
-  ln -s python3-config        "${pkgdir}"/usr/bin/python-config
-  ln -s idle3                 "${pkgdir}"/usr/bin/idle
-  ln -s pydoc3                "${pkgdir}"/usr/bin/pydoc
-  ln -s python${_pybasever}.1 "${pkgdir}"/usr/share/man/man1/python.1
-
-  # Fix FS#22552
-  ln -sf ../../libpython${_pybasever}m.so \
-    "${pkgdir}/usr/lib/python${_pybasever}/config-${_pybasever}m/libpython${_pybasever}m.so"
-
-  # some useful "stuff" FS#46146
-  install -dm755 "${pkgdir}"/usr/lib/python${_pybasever}/Tools/{i18n,scripts}
-  install -m755 Tools/i18n/{msgfmt,pygettext}.py "${pkgdir}"/usr/lib/python${_pybasever}/Tools/i18n/
-  install -m755 Tools/scripts/{README,*py} "${pkgdir}"/usr/lib/python${_pybasever}/Tools/scripts/
-
-  # Clean-up reference to build directory
-  sed -i "s|$srcdir/Python-${pkgver}:||" "$pkgdir/usr/lib/python${_pybasever}/config-${_pybasever}m/Makefile"
-
-  # License
-  install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}

Copied: python/repos/staging-i686/PKGBUILD (from rev 280024, python/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2016-11-07 10:50:20 UTC (rev 280025)
@@ -0,0 +1,113 @@
+# $Id$
+# Maintainer: Angel Velasquez <angvp at archlinux.org>
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Jason Chu <jason at archlinux.org>
+
+pkgname=python
+pkgver=3.5.2
+pkgrel=3
+_pybasever=3.5
+pkgdesc="Next generation of the python high-level scripting language"
+arch=('i686' 'x86_64')
+license=('custom')
+url="http://www.python.org/"
+depends=('expat' 'bzip2' 'gdbm' 'openssl' 'libffi' 'zlib')
+makedepends=('tk' 'sqlite' 'valgrind' 'bluez-libs' 'mpdecimal')
+checkdepends=('gdb' 'xorg-server-xvfb')
+optdepends=('python-setuptools'
+            'python-pip'
+            'sqlite'
+            'mpdecimal: for decimal'
+            'xz: for lzma'
+            'tk: for tkinter')
+options=('!makeflags')
+provides=('python3')
+replaces=('python3')
+source=("https://www.python.org/ftp/python/${pkgver%rc*}/Python-${pkgver}.tar.xz"{,.asc}
+        dont-make-libpython-readonly.patch)
+sha1sums=('4843aabacec5bc0cdd3e1f778faa926e532794d2'
+          'SKIP'
+          'c22b24324b8e53326702de439c401d97927ee3f2')
+validpgpkeys=('97FC712E4C024BBEA48A61ED3A5CA953F73C700D')  # Larry Hastings <larry at hastings.org>
+
+prepare() {
+  cd Python-${pkgver}
+
+  # FS#45809
+  patch -p1 -i ../dont-make-libpython-readonly.patch
+
+  # FS#23997
+  sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python|" Lib/cgi.py
+
+  # Ensure that we are using the system copy of various libraries (expat, zlib, libffi, and libmpdec),
+  # rather than copies shipped in the tarball
+  rm -r Modules/expat
+  rm -r Modules/zlib
+  rm -r Modules/_ctypes/{darwin,libffi}*
+  rm -r Modules/_decimal/libmpdec
+}
+
+build() {
+  cd Python-${pkgver}
+
+  # Disable bundled pip & setuptools
+  ./configure --prefix=/usr \
+              --enable-shared \
+              --with-threads \
+              --with-computed-gotos \
+              --enable-ipv6 \
+              --with-system-expat \
+              --with-dbmliborder=gdbm:ndbm \
+              --with-system-ffi \
+              --with-system-libmpdec \
+              --enable-loadable-sqlite-extensions \
+              --without-ensurepip
+
+  make EXTRA_CFLAGS="$CFLAGS"
+}
+
+check() {
+  # Failures:
+  # test_distutils: because of our EXTRA_CFLAGS
+  # test_socket
+
+  # Hacks:
+  # test_tk: xvfb-run
+  # test_unicode_file: LC_CTYPE=en_US.utf-8
+  # test_gdb: SHELL=/bin/sh
+
+  cd Python-${pkgver}
+  SHELL=/bin/sh \
+  LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
+  LC_CTYPE=en_US.utf-8 xvfb-run \
+    "${srcdir}/Python-${pkgver}/python" -m test.regrtest -v -uall || warning "Expected failure"
+}
+
+package() {
+  cd Python-${pkgver}
+  make DESTDIR="${pkgdir}" EXTRA_CFLAGS="$CFLAGS" install maninstall
+
+  # Why are these not done by default...
+  ln -s python3               "${pkgdir}"/usr/bin/python
+  ln -s python3-config        "${pkgdir}"/usr/bin/python-config
+  ln -s idle3                 "${pkgdir}"/usr/bin/idle
+  ln -s pydoc3                "${pkgdir}"/usr/bin/pydoc
+  ln -s python${_pybasever}.1 "${pkgdir}"/usr/share/man/man1/python.1
+
+  # Fix FS#22552
+  ln -sf ../../libpython${_pybasever}m.so \
+    "${pkgdir}/usr/lib/python${_pybasever}/config-${_pybasever}m/libpython${_pybasever}m.so"
+
+  # some useful "stuff" FS#46146
+  install -dm755 "${pkgdir}"/usr/lib/python${_pybasever}/Tools/{i18n,scripts}
+  install -m755 Tools/i18n/{msgfmt,pygettext}.py "${pkgdir}"/usr/lib/python${_pybasever}/Tools/i18n/
+  install -m755 Tools/scripts/{README,*py} "${pkgdir}"/usr/lib/python${_pybasever}/Tools/scripts/
+
+  # Clean-up reference to build directory
+  sed -i "s|$srcdir/Python-${pkgver}:||" "$pkgdir/usr/lib/python${_pybasever}/config-${_pybasever}m/Makefile"
+
+  # License
+  install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}

Deleted: staging-i686/dont-make-libpython-readonly.patch
===================================================================
--- staging-i686/dont-make-libpython-readonly.patch	2016-11-07 10:50:13 UTC (rev 280024)
+++ staging-i686/dont-make-libpython-readonly.patch	2016-11-07 10:50:20 UTC (rev 280025)
@@ -1,13 +0,0 @@
-diff --git a/Makefile.pre.in b/Makefile.pre.in
-index ce2c0aa..7d6dcf7 100644
---- a/Makefile.pre.in
-+++ b/Makefile.pre.in
-@@ -60,7 +60,7 @@ INSTALL_DATA=	@INSTALL_DATA@
- # Shared libraries must be installed with executable mode on some systems;
- # rather than figuring out exactly which, we always give them executable mode.
- # Also, making them read-only seems to be a good idea...
--INSTALL_SHARED= ${INSTALL} -m 555
-+INSTALL_SHARED= ${INSTALL} -m 755
- 
- MKDIR_P=	@MKDIR_P@
- 

Copied: python/repos/staging-i686/dont-make-libpython-readonly.patch (from rev 280024, python/trunk/dont-make-libpython-readonly.patch)
===================================================================
--- staging-i686/dont-make-libpython-readonly.patch	                        (rev 0)
+++ staging-i686/dont-make-libpython-readonly.patch	2016-11-07 10:50:20 UTC (rev 280025)
@@ -0,0 +1,13 @@
+diff --git a/Makefile.pre.in b/Makefile.pre.in
+index ce2c0aa..7d6dcf7 100644
+--- a/Makefile.pre.in
++++ b/Makefile.pre.in
+@@ -60,7 +60,7 @@ INSTALL_DATA=	@INSTALL_DATA@
+ # Shared libraries must be installed with executable mode on some systems;
+ # rather than figuring out exactly which, we always give them executable mode.
+ # Also, making them read-only seems to be a good idea...
+-INSTALL_SHARED= ${INSTALL} -m 555
++INSTALL_SHARED= ${INSTALL} -m 755
+ 
+ MKDIR_P=	@MKDIR_P@
+ 

Deleted: staging-x86_64/PKGBUILD
===================================================================
--- staging-x86_64/PKGBUILD	2016-11-07 10:50:13 UTC (rev 280024)
+++ staging-x86_64/PKGBUILD	2016-11-07 10:50:20 UTC (rev 280025)
@@ -1,113 +0,0 @@
-# $Id$
-# Maintainer: Angel Velasquez <angvp at archlinux.org>
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Allan McRae <allan at archlinux.org>
-# Contributor: Jason Chu <jason at archlinux.org>
-
-pkgname=python
-pkgver=3.5.2
-pkgrel=2
-_pybasever=3.5
-pkgdesc="Next generation of the python high-level scripting language"
-arch=('i686' 'x86_64')
-license=('custom')
-url="http://www.python.org/"
-depends=('expat' 'bzip2' 'gdbm' 'openssl' 'libffi' 'zlib')
-makedepends=('tk' 'sqlite' 'valgrind' 'bluez-libs' 'mpdecimal')
-checkdepends=('gdb' 'xorg-server-xvfb')
-optdepends=('python-setuptools'
-            'python-pip'
-            'sqlite'
-            'mpdecimal: for decimal'
-            'xz: for lzma'
-            'tk: for tkinter')
-options=('!makeflags')
-provides=('python3')
-replaces=('python3')
-source=("https://www.python.org/ftp/python/${pkgver%rc*}/Python-${pkgver}.tar.xz"{,.asc}
-        dont-make-libpython-readonly.patch)
-sha1sums=('4843aabacec5bc0cdd3e1f778faa926e532794d2'
-          'SKIP'
-          'c22b24324b8e53326702de439c401d97927ee3f2')
-validpgpkeys=('97FC712E4C024BBEA48A61ED3A5CA953F73C700D')  # Larry Hastings <larry at hastings.org>
-
-prepare() {
-  cd Python-${pkgver}
-
-  # FS#45809
-  patch -p1 -i ../dont-make-libpython-readonly.patch
-
-  # FS#23997
-  sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python|" Lib/cgi.py
-
-  # Ensure that we are using the system copy of various libraries (expat, zlib, libffi, and libmpdec),
-  # rather than copies shipped in the tarball
-  rm -r Modules/expat
-  rm -r Modules/zlib
-  rm -r Modules/_ctypes/{darwin,libffi}*
-  rm -r Modules/_decimal/libmpdec
-}
-
-build() {
-  cd Python-${pkgver}
-
-  # Disable bundled pip & setuptools
-  ./configure --prefix=/usr \
-              --enable-shared \
-              --with-threads \
-              --with-computed-gotos \
-              --enable-ipv6 \
-              --with-system-expat \
-              --with-dbmliborder=gdbm:ndbm \
-              --with-system-ffi \
-              --with-system-libmpdec \
-              --enable-loadable-sqlite-extensions \
-              --without-ensurepip
-
-  make EXTRA_CFLAGS="$CFLAGS"
-}
-
-check() {
-  # Failures:
-  # test_distutils: because of our EXTRA_CFLAGS
-  # test_socket
-
-  # Hacks:
-  # test_tk: xvfb-run
-  # test_unicode_file: LC_CTYPE=en_US.utf-8
-  # test_gdb: SHELL=/bin/sh
-
-  cd Python-${pkgver}
-  SHELL=/bin/sh \
-  LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
-  LC_CTYPE=en_US.utf-8 xvfb-run \
-    "${srcdir}/Python-${pkgver}/python" -m test.regrtest -v -uall || warning "Expected failure"
-}
-
-package() {
-  cd Python-${pkgver}
-  make DESTDIR="${pkgdir}" EXTRA_CFLAGS="$CFLAGS" install maninstall
-
-  # Why are these not done by default...
-  ln -s python3               "${pkgdir}"/usr/bin/python
-  ln -s python3-config        "${pkgdir}"/usr/bin/python-config
-  ln -s idle3                 "${pkgdir}"/usr/bin/idle
-  ln -s pydoc3                "${pkgdir}"/usr/bin/pydoc
-  ln -s python${_pybasever}.1 "${pkgdir}"/usr/share/man/man1/python.1
-
-  # Fix FS#22552
-  ln -sf ../../libpython${_pybasever}m.so \
-    "${pkgdir}/usr/lib/python${_pybasever}/config-${_pybasever}m/libpython${_pybasever}m.so"
-
-  # some useful "stuff" FS#46146
-  install -dm755 "${pkgdir}"/usr/lib/python${_pybasever}/Tools/{i18n,scripts}
-  install -m755 Tools/i18n/{msgfmt,pygettext}.py "${pkgdir}"/usr/lib/python${_pybasever}/Tools/i18n/
-  install -m755 Tools/scripts/{README,*py} "${pkgdir}"/usr/lib/python${_pybasever}/Tools/scripts/
-
-  # Clean-up reference to build directory
-  sed -i "s|$srcdir/Python-${pkgver}:||" "$pkgdir/usr/lib/python${_pybasever}/config-${_pybasever}m/Makefile"
-
-  # License
-  install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}

Copied: python/repos/staging-x86_64/PKGBUILD (from rev 280024, python/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2016-11-07 10:50:20 UTC (rev 280025)
@@ -0,0 +1,113 @@
+# $Id$
+# Maintainer: Angel Velasquez <angvp at archlinux.org>
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Jason Chu <jason at archlinux.org>
+
+pkgname=python
+pkgver=3.5.2
+pkgrel=3
+_pybasever=3.5
+pkgdesc="Next generation of the python high-level scripting language"
+arch=('i686' 'x86_64')
+license=('custom')
+url="http://www.python.org/"
+depends=('expat' 'bzip2' 'gdbm' 'openssl' 'libffi' 'zlib')
+makedepends=('tk' 'sqlite' 'valgrind' 'bluez-libs' 'mpdecimal')
+checkdepends=('gdb' 'xorg-server-xvfb')
+optdepends=('python-setuptools'
+            'python-pip'
+            'sqlite'
+            'mpdecimal: for decimal'
+            'xz: for lzma'
+            'tk: for tkinter')
+options=('!makeflags')
+provides=('python3')
+replaces=('python3')
+source=("https://www.python.org/ftp/python/${pkgver%rc*}/Python-${pkgver}.tar.xz"{,.asc}
+        dont-make-libpython-readonly.patch)
+sha1sums=('4843aabacec5bc0cdd3e1f778faa926e532794d2'
+          'SKIP'
+          'c22b24324b8e53326702de439c401d97927ee3f2')
+validpgpkeys=('97FC712E4C024BBEA48A61ED3A5CA953F73C700D')  # Larry Hastings <larry at hastings.org>
+
+prepare() {
+  cd Python-${pkgver}
+
+  # FS#45809
+  patch -p1 -i ../dont-make-libpython-readonly.patch
+
+  # FS#23997
+  sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python|" Lib/cgi.py
+
+  # Ensure that we are using the system copy of various libraries (expat, zlib, libffi, and libmpdec),
+  # rather than copies shipped in the tarball
+  rm -r Modules/expat
+  rm -r Modules/zlib
+  rm -r Modules/_ctypes/{darwin,libffi}*
+  rm -r Modules/_decimal/libmpdec
+}
+
+build() {
+  cd Python-${pkgver}
+
+  # Disable bundled pip & setuptools
+  ./configure --prefix=/usr \
+              --enable-shared \
+              --with-threads \
+              --with-computed-gotos \
+              --enable-ipv6 \
+              --with-system-expat \
+              --with-dbmliborder=gdbm:ndbm \
+              --with-system-ffi \
+              --with-system-libmpdec \
+              --enable-loadable-sqlite-extensions \
+              --without-ensurepip
+
+  make EXTRA_CFLAGS="$CFLAGS"
+}
+
+check() {
+  # Failures:
+  # test_distutils: because of our EXTRA_CFLAGS
+  # test_socket
+
+  # Hacks:
+  # test_tk: xvfb-run
+  # test_unicode_file: LC_CTYPE=en_US.utf-8
+  # test_gdb: SHELL=/bin/sh
+
+  cd Python-${pkgver}
+  SHELL=/bin/sh \
+  LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
+  LC_CTYPE=en_US.utf-8 xvfb-run \
+    "${srcdir}/Python-${pkgver}/python" -m test.regrtest -v -uall || warning "Expected failure"
+}
+
+package() {
+  cd Python-${pkgver}
+  make DESTDIR="${pkgdir}" EXTRA_CFLAGS="$CFLAGS" install maninstall
+
+  # Why are these not done by default...
+  ln -s python3               "${pkgdir}"/usr/bin/python
+  ln -s python3-config        "${pkgdir}"/usr/bin/python-config
+  ln -s idle3                 "${pkgdir}"/usr/bin/idle
+  ln -s pydoc3                "${pkgdir}"/usr/bin/pydoc
+  ln -s python${_pybasever}.1 "${pkgdir}"/usr/share/man/man1/python.1
+
+  # Fix FS#22552
+  ln -sf ../../libpython${_pybasever}m.so \
+    "${pkgdir}/usr/lib/python${_pybasever}/config-${_pybasever}m/libpython${_pybasever}m.so"
+
+  # some useful "stuff" FS#46146
+  install -dm755 "${pkgdir}"/usr/lib/python${_pybasever}/Tools/{i18n,scripts}
+  install -m755 Tools/i18n/{msgfmt,pygettext}.py "${pkgdir}"/usr/lib/python${_pybasever}/Tools/i18n/
+  install -m755 Tools/scripts/{README,*py} "${pkgdir}"/usr/lib/python${_pybasever}/Tools/scripts/
+
+  # Clean-up reference to build directory
+  sed -i "s|$srcdir/Python-${pkgver}:||" "$pkgdir/usr/lib/python${_pybasever}/config-${_pybasever}m/Makefile"
+
+  # License
+  install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}

Deleted: staging-x86_64/dont-make-libpython-readonly.patch
===================================================================
--- staging-x86_64/dont-make-libpython-readonly.patch	2016-11-07 10:50:13 UTC (rev 280024)
+++ staging-x86_64/dont-make-libpython-readonly.patch	2016-11-07 10:50:20 UTC (rev 280025)
@@ -1,13 +0,0 @@
-diff --git a/Makefile.pre.in b/Makefile.pre.in
-index ce2c0aa..7d6dcf7 100644
---- a/Makefile.pre.in
-+++ b/Makefile.pre.in
-@@ -60,7 +60,7 @@ INSTALL_DATA=	@INSTALL_DATA@
- # Shared libraries must be installed with executable mode on some systems;
- # rather than figuring out exactly which, we always give them executable mode.
- # Also, making them read-only seems to be a good idea...
--INSTALL_SHARED= ${INSTALL} -m 555
-+INSTALL_SHARED= ${INSTALL} -m 755
- 
- MKDIR_P=	@MKDIR_P@
- 

Copied: python/repos/staging-x86_64/dont-make-libpython-readonly.patch (from rev 280024, python/trunk/dont-make-libpython-readonly.patch)
===================================================================
--- staging-x86_64/dont-make-libpython-readonly.patch	                        (rev 0)
+++ staging-x86_64/dont-make-libpython-readonly.patch	2016-11-07 10:50:20 UTC (rev 280025)
@@ -0,0 +1,13 @@
+diff --git a/Makefile.pre.in b/Makefile.pre.in
+index ce2c0aa..7d6dcf7 100644
+--- a/Makefile.pre.in
++++ b/Makefile.pre.in
+@@ -60,7 +60,7 @@ INSTALL_DATA=	@INSTALL_DATA@
+ # Shared libraries must be installed with executable mode on some systems;
+ # rather than figuring out exactly which, we always give them executable mode.
+ # Also, making them read-only seems to be a good idea...
+-INSTALL_SHARED= ${INSTALL} -m 555
++INSTALL_SHARED= ${INSTALL} -m 755
+ 
+ MKDIR_P=	@MKDIR_P@
+ 



More information about the arch-commits mailing list